Subject: RE: Bold/Italic font faces don't display in 19.33.1/i386

From: Jerry Liebelson <[email-masked]>
Date: Mon, 26 Aug 1996 15:10:09 -0400

At 12:21 PM 8/26/96 +0200, Ulrich Beyer wrote:
>Hi Jerry,
>
>I'm using the same version of both (emacs & OS) here. I have no problems using 
>bold and normal versions of Courier New within the same frame...

  Ok, I erroneously reported the problem. It seems that the italic and italic
variants don't work, not just bold alone.

  I have the following in my startup file:

    (set-default-font "-*-Courier New-normal-r-*-*-13-97-*-*-c-*-*-ansi-")
    (require 'font-lock)

  When emacs comes up and I run the list-faces-display command, I see the
following faces:
   bold
   bold-italic
   default
   highlight
   italic
   modeline
   region
   secondary-selection
   underline

The problem is:  The italic and bold-italic faces are not italic.  Yes, the bold
face is bold, but the bold-italic face is just bold and not also italic.

Moreover, calling set-default-font (or set-face-font) with an italic Courier
font has no effect - it's the same as using the regular ("r") font:

  (set-default-font "-*-Courier New-normal-i-*-*-13-97-*-*-c-*-*-ansi-")
  (set-face-font 'default "-*-Courier New-normal-i-*-*-13-97-*-*-c-*-*-ansi-")

Can you get italic fonts to display?

>May be you should try 
>
>	(set-face-font 'default "-*-Courier New-bold-r-*-*-13-97-*-*-c-*-*-ansi-")
>
>instead of (set-default-font ...).

   This only changes the 'default face and not the other variants shown by the
list-faces-display command.  set-default-font seems to change the base font on
which the other faces are based.

So I'm still wondering, how do I get italic faces to display or is this a bug?

-jerry

>=uli=
>
>----------
>From: 	Jerry Liebelson
>Sent: 	Saturday, August 24, 1996 3:27 AM
>To: 	[email-masked]
>Cc: 	[email-masked]
>Subject: 	Bold/Italic font faces don't display in 19.33.1/i386
>
>Hi,
>  I am using version 19.33.1/i386 on a system running NT 4.0 Beta 2 and I still
>don't see bold or italic faces being displayed. This was also the case with the
>previous version I was running, 19.31.1.
>
>Is this a known problem?  
>
>For example, I set my default font to Truetype Courier New Regular 12pt:
>
>   (set-default-font
>         "-*-Courier New-normal-r-*-*-16-120-*-*-c-*-*-ansi-")
>
>but when I run the Edit/Text Properties/Display Faces function the font is
>rendered the same way for the italic, bold, and bold-italic font faces (and
>their colored variants)
>
>Moreover, while I can set the overall default font to a bold Courier, I cannot
>set it to italic Courier.
>
>
>-jerry
>
>
>
>
>